
From: Geert Uytterhoeven <geert@linux-m68k.org>

Amiga core: Use C99 struct initializers



 arch/m68k/amiga/chipram.c |    4 +++-
 arch/m68k/amiga/config.c  |   22 +++++++++++++++-------
 2 files changed, 18 insertions(+), 8 deletions(-)

diff -puN arch/m68k/amiga/chipram.c~68k-379 arch/m68k/amiga/chipram.c
--- 25/arch/m68k/amiga/chipram.c~68k-379	2004-01-01 13:46:39.000000000 -0800
+++ 25-akpm/arch/m68k/amiga/chipram.c	2004-01-01 13:46:39.000000000 -0800
@@ -19,7 +19,9 @@
 
 unsigned long amiga_chip_size;
 
-static struct resource chipram_res = { "Chip RAM", CHIP_PHYSADDR };
+static struct resource chipram_res = {
+    .name = "Chip RAM", .start = CHIP_PHYSADDR
+};
 static unsigned long chipavail;
 
 
diff -puN arch/m68k/amiga/config.c~68k-379 arch/m68k/amiga/config.c
--- 25/arch/m68k/amiga/config.c~68k-379	2004-01-01 13:46:39.000000000 -0800
+++ 25-akpm/arch/m68k/amiga/config.c	2004-01-01 13:46:39.000000000 -0800
@@ -121,14 +121,22 @@ static struct console amiga_console_driv
 static struct {
     struct resource _ciab, _ciaa, _custom, _kickstart;
 } mb_resources = {
-    ._ciab =		{ "CIA B", 0x00bfd000, 0x00bfdfff },
-    ._ciaa =		{ "CIA A", 0x00bfe000, 0x00bfefff },
-    ._custom =		{ "Custom I/O", 0x00dff000, 0x00dfffff },
-    ._kickstart =	{ "Kickstart ROM", 0x00f80000, 0x00ffffff }
+    ._ciab = {
+	.name = "CIA B", .start = 0x00bfd000, .end = 0x00bfdfff
+    },
+    ._ciaa = {
+	.name = "CIA A", .start = 0x00bfe000, .end = 0x00bfefff
+    },
+    ._custom = {
+	.name = "Custom I/O", .start = 0x00dff000, .end = 0x00dfffff
+    },
+    ._kickstart = {
+	.name = "Kickstart ROM", .start = 0x00f80000, .end = 0x00ffffff
+    }
 };
 
 static struct resource rtc_resource = {
-    NULL, 0x00dc0000, 0x00dcffff
+    .start = 0x00dc0000, .end = 0x00dcffff
 };
 
 static struct resource ram_resource[NUM_MEMINFO];
@@ -495,7 +503,7 @@ static void __init amiga_sched_init(irqr
 							  struct pt_regs *))
 {
 	static struct resource sched_res = {
-	    "timer", 0x00bfd400, 0x00bfd5ff,
+	    .name = "timer", .start = 0x00bfd400, .end = 0x00bfd5ff,
 	};
 	jiffy_ticks = (amiga_eclock+HZ/2)/HZ;
 
@@ -798,7 +806,7 @@ static void amiga_mem_console_write(stru
 
 static void amiga_savekmsg_init(void)
 {
-    static struct resource debug_res = { "Debug" };
+    static struct resource debug_res = { .name = "Debug" };
 
     savekmsg = amiga_chip_alloc_res(SAVEKMSG_MAXMEM, &debug_res);
     savekmsg->magic1 = SAVEKMSG_MAGIC1;

_
